<?php


include_once   "funcoes.inc";
include '../idiomas/config.inc';

// FUNCOES AUXILIARES 
//mensagem para mostrar cliente e links para editar cadastro , lan�ar pedido e abrir vendas antigas





function MostraCliHistVnd($l_razao, $l_codcli,$p_dtini,$p_dtfin){
    include '../idiomas/config.inc';
    echo "
                <p class='nomclient'>
                    <a id='cli' href='../php/buscahistvnd.php?codcli=$l_codcli&dtini=$p_dtini&dtfin=$p_dtfin'><br />
    $l_razao </a>
                </p>";

}

function ListaTransp($transp, $codtra, $p_path){
    include '../idiomas/config.inc';
    echo "<p>
                    <a name='$transp' href='$p_path&naocarregacad=1&codtra=$codtra&transp=$transp'>$transp</a>
                 </p> ";



}


function LancaHistVisita($codusu, $codcli, $acao, $codtipocontato, $obs) {
    include '../idiomas/config.inc';
    include_once '../bd/funcoes.inc';
//insere o historico da visita
//
//valida os campos antes de inserir

    if (!$codusu) {
        echo $msg_erro_sem_usuario;
        exit;
    }

    if (!$codcli) {
        echo $msg_erro_sem_cliente;
        exit;
    }

    if (!$codtipocontato) {
        echo $msg_erro_sem_sem_tipo_de_contato;
        exit;
    }


    $comando = "insert into histcli(codusucria, codcli, codtipocontato, obs, data)
        values ($codusu,$codcli,$codtipocontato,'$obs', current_date) ";

    if (!exec_sql_simples($con, $comando)) {
        echo $msg_lancar_historico_de_visita;
        exit;
    }
}



function verificaStatus($codcli){
    include "conecta.inc.php";
    include "../auxiliar/parametros.inc";

    $_selectCli = " select c.codclistatus,cs.descricao from clientes c 
                    join clistatus cs on c.codclistatus = cs.codclistatus 
                    where c.codcli = $codcli ";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);

    $result = retiraacentos($l_lin[1]); 
    print $result;
    // return $result;

}

function retornaCodStatus($codcli){
    include "conecta.inc.php";
    include "../auxiliar/parametros.inc";

    $_selectCli = " select c.codclistatus,cs.descricao from clientes c 
                    join clistatus cs on c.codclistatus = cs.codclistatus 
                    where c.codcli = $codcli ";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);

    $result = retiraacentos($l_lin[1]); 
    
    return $l_lin;

}

function mostraStatusCli(){
    include "conecta.inc.php";
    include "../auxiliar/parametros.inc";
    include_once '../auxiliar/strings.inc';

    $_selectCli = "select descricao from clistatus where codclistatus = $p_codclistatus";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);
    $result = retiraacentos($l_lin[0]); 
    print $result;
    // return $result;
}


function retornaOperacaoCadCli($codcli){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';

    $_selectCli = "select np.descricao, c.codnfoperacao from nfoperacoes np
                   join clientes c on c.codnfoperacao = np.codnfoperacao
                   where c.codcli = $codcli";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);
    $result = retiraacentos($l_lin[0]); 
  
    print $result;
}

function retornaCodNfOperacao($codcli){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';

    $_selectCli = "select np.descricao, c.codnfoperacao from nfoperacoes np
                   join clientes c on c.codnfoperacao = np.codnfoperacao
                   where c.codcli = $codcli";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);
    
    return $l_lin;
}



function retornaOperacao($operacao, $p_path){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';
    
    $l_select = "select descricao,codnfoperacao from nfoperacoes where (1=1) ";
    
        if ($operacao) {
            $l_select .= " and (upper(descricao) like '%$operacao%' ) ";
        }
    
        $a_reg = qry($con, $l_select, $a_campos);
    
    
        //echo $l_select; //mostra o select - so para testes
    
        //MONTA MATRIZ QUE VAI TRAZER AS Operações
        //cria id do select
        
        $a_reg = qry($con, $l_select, $a_campos);
    
        if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
            //se tiver resultado do select - quando encontra pelo menos um cliente
    
            for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{

                ListaModalidade($l_a_cli[$i][descricao], $l_a_cli[$i][codnfoperacao],$p_path);

            }
    
        }
    
}

function ListaModalidade($operacao, $codnfoperacao, $p_path){

    echo "<p>
                    <a name='$operacao' href='$p_path&naocarregacad=1&codnfoperacao=$codnfoperacao&operacao=$operacao'>$operacao</a>
                 </p> ";
}


function retornaCodIE($codcli){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';

    $_selectCli = " select c.codnfiedest,ie.descricao from NFIEDESTINATARIOS ie
                    join clientes c on c.codnfiedest = ie.codnfiedest
                    where c.codcli = $codcli";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);

    return $l_lin;
}


function retornaIE($codcli){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';

    $_selectCli = " select c.codnfiedest,ie.descricao from NFIEDESTINATARIOS ie
                    join clientes c on c.codnfiedest = ie.codnfiedest
                    where c.codcli = $codcli";
    $sql = ibase_query( $con, $_selectCli ); 
    $l_lin = ibase_fetch_row($sql);
    ibase_close($con);
    $result = retiraacentos($l_lin[1]); 

    print $result; 
}



function retornaIndicadorIE($indicadorIE, $p_path){
    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';
    
    $l_select = "select codnfiedest,descricao from NFIEDESTINATARIOS where (1=1) ";
    
        if ($indicadorIE) {
            $l_select .= " and (descricao like '%$indicadorIE%' ) ";
        }
    
        $a_reg = qry($con, $l_select, $a_campos);
    
    
        //echo $l_select; //mostra o select - so para testes
    
        //MONTA MATRIZ QUE VAI TRAZER AS Operações
        //cria id do select
        
        $a_reg = qry($con, $l_select, $a_campos);
    
        if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
            //se tiver resultado do select - quando encontra pelo menos um cliente
    
            for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{

                ListaIndicadorIE($l_a_cli[$i][descricao], $l_a_cli[$i][codnfiedest],$p_path);

            }
    
        }
    
}

function ListaIndicadorIE($indicadorIE, $codindicadorIE, $p_path){

    echo "<p>
                    <a name='$indicadorIE' href='$p_path&naocarregacad=1&codIndicadorIE=$codindicadorIE&indicadorIE=$indicadorIE'>$indicadorIE</a>
                 </p> ";
}





//FIM DAS FUNCOES AUXILIARES
    /*
    INI - INSERE CLIENTES
    */
//fun??o que insere um cliente e mostra links para edi??o de cadastro e lan?amento de pedido ou mostra erro no insert
function InsereCliente($l_razao,$l_fantasia,$l_contato,$l_email,$l_rgie,$l_cpcn,
    $l_endereco,$l_endent,$l_endcob,
    $l_cep,$l_cepent,$l_cepcob,
    $l_bairro,$l_bairroent,$l_bairrocob,
    $l_cidade,$l_cidadeent,$l_cidadecob,
    $l_uf,$l_ufent,$l_ufcob,
    $l_telefone,$l_telefonenf,$l_fax, $l_codtra, $p_codstat,
	$l_numeronf,$l_enderecotipo,$l_enderecocompl,$l_codcidnfe,$codnfoperacao,$codindicadorIE){

    include "conecta.inc.php";
    include '../auxiliar/parametros.inc';
    include_once '../auxiliar/strings.inc';
    include '../idiomas/config.inc';
    //tira caracteres diferente de numeros
    //  $l_cpcn = sonumeros($l_cpcn);

    //determina se ? fisico ou jur?dico
    if (strlen($l_cpcn) < 15 ){
        $l_fisjur = 1;
    }else{
        $l_fisjur = 2;
    }

    //Gera o codcli para inserir o cliente
    $l_selectcodcli = 'select (GEN_ID(GNCLIENTES,1) + ( GEN_ID(GNCODLOJA,0) * 10000000)) as codcli from rdb$database';


    $l_res = ibase_query( $con, $l_selectcodcli ); //cria o id q recebe o select
    $l_lin = ibase_fetch_row($l_res); //pega a unica linha que o select retorna
    $l_codcli = $l_lin[0]; //pega o campo pelo unico indice que o select retornou


    if(!$l_codcidnfe) {
        echo "<h2>$msg_selecione_uma_cidade_valida</h2><BR /><a href='javaScript:history.go(-1)' class='btn btn-primary'>$bt_voltar</a></center>";
        die();
    }

    if(!$p_codclistatus) {
        echo "<h2>$msg_selecione_um_status_valido</h2>";
        die();
    }

    if(!$l_codtra) {
        echo "<h2>$msg_selecione_uma_transportadora_valida</h2>";
        die();
    }

   
    // CRIA O INSERT
    $l_inserecli = "INSERT INTO CLIENTES (codcli, razao, fantasia, contato1,
                  email, rgie, cpcn, endereconf, end_ent, endcob,
                 cep,cep_ent,cepcob, bairro,  bairro_ent, bairrocob,
                 cidade, cidade_ent, cidadecob, numeronf, enderecotipo, enderecocompl, codcidnfe,
		         uf, uf_ent, ufcob, fone1, telefoneNf, fax,
                 numcli, REVCOM, CODCLISTATUS, CODLOJA, codtra, datacad,codvnd,
                 codusucria, datacria, fisjur, CodForma, CODPRODTABELA,codNfOperacao,codnfiedest  )
                values($l_codcli, upper('$l_razao') , upper('$l_fantasia') ,upper('$l_contato') ,  upper('$l_email') ,
                upper('$l_rgie') , upper('$l_cpcn') ,
                upper('$l_endereco') ,upper('$l_endent') ,upper('$l_endcob') ,
                upper('$l_cep') , upper('$l_cepent') , upper('$l_cepcob') ,
                upper('$l_bairro') , upper('$l_bairroent') , upper('$l_bairrocob') ,
                upper('$l_cidade') , upper('$l_cidadeent') , upper('$l_cidadecob') ,
				upper('$l_numeronf') ,upper('$l_enderecotipo') ,upper('$l_enderecocompl') ,$l_codcidnfe ,
                upper('$l_uf') ,  upper('$l_ufent') ,  upper('$l_ufcob') ,
                '$l_telefone' , substring('$l_telefonenf' from 1 for 14) ,  '$l_fax',
                ((select Max(NumCli)  From CLientes) + 1), 1,
                $p_codstat, (select codloja from senhas where codusu = " . lecookie('codusu') . "),
    $l_codtra, current_timestamp, (select codvnd from senhas where codusu = " . lecookie('codusu') . "),"
    . lecookie('codusu') . " , current_timestamp ,$l_fisjur, null , $p_tabprecocli, $codnfoperacao, $codindicadorIE)";

  
    //echo $l_inserecli; die;//mostra o insert que executou - so para testes

    if (exec_sql_simples($con, $l_inserecli)){
        MostraLinkCli($l_razao, $l_codcli,"N", "");
    }else{
        echo "<div id='msgerro'>$msg_erro_ao_inserir_cliente</div>";
    }


}
    /*
    FIM - INSERE CLIENTES
    */



    /*
    INI - UPDATE CLIENTES
    */
//fun??o que altera dados de um cadastro de cliente e  mostra msg de sucesso com links para re-edi??o de cadastro e lan?amento de pedido ou mostra erro no insert
function UpdateCliente($l_codcli, $l_razao,$l_fantasia,$l_contato,$l_email,$l_rgie,$l_cpcn,$l_endereco,$l_endent,$l_endcob,
    $l_cep,$l_cepent,$l_cepcob,$l_bairro,$l_bairroent,$l_bairrocob,$l_cidade,$l_cidadeent,$l_cidadecob,$l_uf,$l_ufent,$l_ufcob,
    $l_telefone,$l_telefonenf,$l_fax, $l_codtra, $p_codstat, $l_numeronf,$l_enderecotipo,$l_enderecocompl,$l_codcidnfe, $codnfoperacao, $codindicadorIE){

    include "conecta.inc.php";
    include_once '../auxiliar/strings.inc';
    include '../idiomas/config.inc';

    //tira caracteres diferente de numeros
    //  $l_cpcn = sonumeros($l_cpcn);

    //determina se ? fisico ou jur?dico
    if (strlen($l_cpcn) < 14 ){
        $l_fisjur = 1;
    }else{
        $l_fisjur = 2;
    }


    $l_updatecli = "update CLIENTES set razao = upper('$l_razao'), fantasia = upper('$l_fantasia') ,contato1 = upper('$l_contato') ,
            email = upper('$l_email') , rgie = upper('$l_rgie') , cpcn = upper('$l_cpcn'),
                        endereconf = upper('$l_endereco'), end_ent = upper('$l_endent'), endcob = upper('$l_endcob'),
                        cep = '$l_cep', cep_ent = '$l_cepent', cepcob = '$l_cepcob',
            bairro = upper('$l_bairro') , bairro_ent = upper('$l_bairroent') , bairrocob = upper('$l_bairrocob') ,
                        cidade = upper('$l_cidade'), cidade_ent = upper('$l_cidadeent'), cidadecob = upper('$l_cidadecob'),
						numeronf = upper('$l_numeronf'), enderecotipo = upper('$l_enderecotipo') , enderecocompl = upper('$l_enderecocompl') , codcidnfe = $l_codcidnfe,
                        uf = upper('$l_uf'), uf_ent = upper('$l_ufent'),ufcob = upper('$l_ufcob'),
                        fone1 = '$l_telefone' ,telefoneNf = substring('$l_telefonenf' from 1 for 14) , fax = '$l_fax', codtra = $l_codtra ,
                         fisjur = $l_fisjur, codclistatus = $p_codstat,
            codusualt = " . lecookie('codusu') ." , dataalt = current_timestamp , codnfoperacao = $codnfoperacao, codnfiedest = $codindicadorIE
            where codcli = $l_codcli";

    //echo $l_updatecli;
	//die; //mostra o insert que executou - so para testes



    if (exec_sql_simples($con, $l_updatecli)){
        echo "<p class='msgerr'>$msg_dados_salvos_com_sucesso</p>";
        MostraLinkCli($l_razao, $l_codcli,"N","");
    }else{
        echo "<div id='msgerro'>$msg_erro_ao_atualizar_cliente</div>";
    }


}

    /*
    FIM - UPDATE CLIENTES
    */




function MostraLinkCli($l_razao, $l_codcli, $fantasia, $cpcn,$revCom){
    include "conecta.inc.php";
    include "../auxiliar/parametros.inc";
	include '../idiomas/config.inc';

    //Verifica a restricao
    $l_selectcodcli = "select comrestricao as codcli from clientes where codcli = " . $l_codcli;

    if($p_mostrar_fantasia_consulta_de_cliente)
        $fantasiaTxt = " ($fantasia)";

    if($p_mostrar_cnpj_consulta_de_cliente)
        $cpcnTxt = "<div class='box-tools pull-right'>
                        <h4 class='cpcn'>$cpcn</h4>
                    </div>";

    $l_res = ibase_query( $con, $l_selectcodcli ); //cria o id q recebe o select
    $l_lin = ibase_fetch_row($l_res); //pega a unica linha que o select retorna
    $l_restri = $l_lin[0]; //pega o campo pelo unico indice que o select retornou

    
    if ($l_restri == 'S') {
        
            $btnPedidoComRestricao = "";
            $msgClienteRestrito = "";
            if($p_vende_para_cliente_restrito_com_status == 1) {
                $msgClienteRestrito = "<span class='text-red'>$msg_cliente_com_restricao</span>";
                $msgClienteRestrito = "<div class=''>
                                        <h4 class='text-red'>$msg_cliente_com_restricao</h4>
                                    </div>";
                $btnPedidoComRestricao = "<a class='btn btn-primary' id='cli' name='Novo Pedido $l_razao' href='../php/pedidos.php?codcli=$l_codcli&razao=$l_razao&com_restricao=1'><i class='glyphicon glyphicon-shopping-cart'></i> $bt_novo_pedido</a>";
            }

                echo("<div class='box box-solid'>
                <div class='box-header with-border'>
                  <i class='glyphicon glyphicon-user'></i>
            
                  <h3 class='box-title'><b>$l_razao</b>$fantasiaTxt</h3>
                  $msgClienteRestrito

                  $cpcnTxt
                </div>
                <!-- /.box-header -->
                <div class='box-body'>
                    <a class='btn btn-primary' id='cli' href='../html/cadastronovo.php?codcli=$l_codcli'><i class='fa fa-edit'></i> $bt_editar </a>
                 
                    $btnPedidoComRestricao

                    
                    <a class='btn btn-primary' id='cli' href='../php/buscavendas.php?codcli=$l_codcli'><i class='glyphicon glyphicon-info-sign'></i> $bt_consultar_vendas</a>
            
                </div>
                <!-- /.box-body -->
              </div>");

   } else {

    echo("<div class='box box-solid'>
    <div class='box-header with-border'>
      <i class='glyphicon glyphicon-user'></i>

      <h3 class='box-title'><b id='$l_razao'>$l_razao</b>$fantasiaTxt</h3>
      $cpcnTxt
    </div>
    <!-- /.box-header -->
    <div class='box-body'>
        <a class='btn btn-primary' id='cli' href='../html/cadastronovo.php?codcli=$l_codcli'><i class='fa fa-edit'></i> $bt_editar </a>
        
        <a class='btn btn-primary' id='cli' name='Novo Pedido $l_razao' href='../php/pedidos.php?codcli=$l_codcli&razao=$l_razao'><i class='glyphicon glyphicon-shopping-cart'></i> $bt_novo_pedido</a>
        
        <a class='btn btn-primary' id='cli' name='Consultar Venda $l_razao' href='../php/buscavendas.php?codcli=$l_codcli'><i class='glyphicon glyphicon-info-sign'></i> $bt_vendas_em_digitacao</a>

    </div>
    <!-- /.box-body -->
  </div>");
        }

}

    /*
    FIM - UPDATE CLIENTES
    */



    /*
    INI - DELETA CLIENTES
    */
//fun��o que altera dados de um cadastro de cliente e  mostra msg de sucesso com links para re-edi��o de cadastro e lan�amento de pedido ou mostra erro no insert
function DeletaCliente($l_codcli){

    include "conecta.inc.php";
    include '../idiomas/config.inc';

    $l_deletacli = "delete from CLIENTES where codcli = $l_codcli";

    //echo $l_deletacli; //mostra o insert que executou - so para testes


    if (exec_sql_simples($con, $l_deletacli)){
        echo "<div id='msgok'> $msg_cliente_deletado_com_sucesso</div><br />";
    }else{
        echo "<div id='msgerro'> $msg_erro_ao_deletar_cliente </div>";
    }

}

    /*
    FIM - DELETA CLIENTES
    */


    /*
    INI - BUSCA CLIENTES
    */

//$l_inirows = rows inicial , sera somado a 9 para mostrar o proximos 10 resultados
function ListaClientes($l_codcli, $l_razao, $cpcn,$l_inirows){
    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';

    $p_veallcli = lecookie("veallcli");

    if (!$l_inirows){
        $l_inirows = 1;
    }

    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT RAZAO as razao, CODCLI, fantasia, cpcn, numcli, revCom FROM CLIENTES WHERE (coalesce(cadinativo,0) = 0)";
    if ($l_codcli) {
        $l_selectcli .= " and (codcli = $l_codcli) ";
    }

    if($cpcn) {
        $l_selectcli .= " and cpcn like '%$cpcn%'";
    } else if ($l_razao) {
        $orNumcli = "";
        if(is_numeric($l_razao)) {
            $orNumcli = "OR  (numcli = '$l_razao')";
        }
        
        $l_selectcli .= " and ((upper(razao) like upper('%$l_razao%') ) OR (upper(fantasia) like upper('%$l_razao%') ) $orNumcli )";
    }
    if (($p_soclivnd) && (!$p_veallcli)) {

        $p_codusu = lecookie("codusu");
       $l_selectcli .= " and (codvnd = (select codvnd from senhas where codusu =  $p_codusu ) ) ";
    }

    $a_reg = qry($con, $l_selectcli, $a_campos);
    $l_totcli = ibase_num_rows($a_reg); // PEGA O TOTAL DE CLIENTES ANTES DE APLICAR O ROWS

    $l_selectcli .= " order by razao rows $l_inirows to " . ($l_inirows + 9) ; //MUDAR ISSO NO SQL - naum tem rows



    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            MostraLinkCli($l_a_cli[$i][razao], $l_a_cli[$i][codcli], $l_a_cli[$i][fantasia], $l_a_cli[$i][cpcn],$l_a_cli[$i][revCom]);
        }
    } else {
        return false;
    }
    echo "<br />";
    if (($l_inirows - 10) > 0){
        $l_rows = ($l_inirows - 10);
    } else{
        $l_rows = 1;
    }

    if ($l_inirows > 1){
        echo"  <a href='buscacli.php?razao=$l_razao&codcli=$l_codcli&acao=listacli&rows=1'><img src='../layout/seta_primeira.jpg' alt='Primeira' width='20' height='19' /></a>&nbsp;&nbsp;&nbsp;";
        echo"  <a href='buscacli.php?razao=$l_razao&codcli=$l_codcli&acao=listacli&rows=" .
        $l_rows . "'><img src='../layout/seta_anterior.jpg' alt='Anterior' width='10' height='19' /></a>";
    }
    if ($l_inirows < ($l_totcli - 10)){
        echo"  <a href='buscacli.php?razao=$l_razao&codcli=$l_codcli&acao=listacli&rows="
        .($l_inirows + 10). "'><img src='../layout/seta_proxima.jpg' alt='Pr&oacute;xima' width='10' height='19' /></a>&nbsp;&nbsp;&nbsp;";
        echo"  <a href='buscacli.php?razao=$l_razao&codcli=$l_codcli&acao=listacli&rows="
        .($l_totcli - 9). "'><img src='../layout/seta_ultima.jpg' alt='&uacute;ltima' width='20' height='19' /></a> ";

    }

  
    return true;

}


// busca dados do cadastro de clientes por variaveis passadas por referencia para mostrar na pag de cadastro de clientes	
function BuscaCadCli ($l_codcli,&$p_razao,&$p_contato,&$p_email,&$p_rgie,&$p_cpcn,
    &$p_endereco,&$p_endent,&$p_endcob,
    &$p_cep,&$p_cepent,&$p_cepcob,
    &$p_bairro,&$p_bairroent,&$p_bairrocob,
    &$p_cidade,&$p_cidadeent,&$p_cidadecob,
    &$p_uf,&$p_ufent,&$p_ufcob,
    &$p_telefone,&$p_telefonenf,&$p_fax,&$p_codtra,&$p_transp,&$p_numeronf,&$p_enderecotipo,&$p_enderecocompl,&$p_codcidnfe,&$p_cidnfe,&$p_stat,
    &$p_codstat,&$codnfoperacao, &$codIndicadorIE,&$p_fantasia){

    include 'conecta.inc.php';
    include '../idiomas/config.inc';

    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT c.razao as razao, c.contato1 as contato1, c.email as email,
                c.rgie, c.cpcn,
                c.endereconf as endereco,  c.end_ent as endent,  c.endcob,
                c.cep, c.cep_ent, c.cepcob,
                c.bairro, c.bairro_ent, c.bairrocob,
                c.cidade, c.cidade_ent, c.cidadecob,
                c.uf, c.uf_ent, c.ufcob, c.codtra, t.transportadora,
				c.numeronf,c.enderecotipo,c.enderecocompl,c.codcidnfe,pi.cidade as cidnfe,
                c.fone1,c.telefonenf, c.fax , c.codprodtabela, c.codclistatus, s.descricao, c.codnfoperacao,c.codnfiedest, c.fantasia FROM CLIENTES c
                left join transportadora t on t.codtra = c.codtra
                left join clistatus s on c.codclistatus = s.codclistatus
				left join cidadesnfe pi on c.codcidnfe = pi.codcid
                WHERE c.codcli = $l_codcli ";


    //echo $l_selectcli; die;//mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);
    // var_dump(cria_matriz_campos($a_reg,$a_campos,$l_a_cli));
    // exit;
    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select
        //passa o valor para as variaveis de referencia que ser? mostrado na pag de cadastro de clientes
        
        $p_razao = $l_a_cli[0][razao];
        $p_contato =$l_a_cli[0][contato1];
        $p_email = $l_a_cli[0][email];
        $p_rgie = $l_a_cli[0][rgie];
        $p_cpcn = $l_a_cli[0][cpcn];
        $p_endereco = $l_a_cli[0][endereco];
        $p_endent = $l_a_cli[0][endent];
        $p_endcob = $l_a_cli[0][endcob];
        $p_cep = $l_a_cli[0][cep];
        $p_cepent = $l_a_cli[0][cep_ent];
        $p_cepcob = $l_a_cli[0][cepcob];
        $p_bairro = $l_a_cli[0][bairro];
        $p_bairroent = $l_a_cli[0][bairro_ent];
        $p_bairrocob = $l_a_cli[0][bairrocob];
        $p_cidade = $l_a_cli[0][cidade];
        $p_cidadeent = $l_a_cli[0][cidade_ent];
        $p_cidadecob = $l_a_cli[0][cidadecob];
        $p_uf = $l_a_cli[0][uf];
        $p_ufent = $l_a_cli[0][uf_ent];
        $p_ufcob = $l_a_cli[0][ufcob];
        $p_telefone = $l_a_cli[0][fone1];
        $p_telefonenf = $l_a_cli[0][telefonenf];
        $p_fax = $l_a_cli[0][fax];
        $p_codtra = $l_a_cli[0][codtra];
        $p_transp = $l_a_cli[0][transportadora];
        $p_codstat = $l_a_cli[0][codclistatus];
		$p_numeronf = $l_a_cli[0][numeronf];
		$p_enderecotipo = $l_a_cli[0][enderecotipo];
		$p_enderecocompl = $l_a_cli[0][enderecocompl];
		$p_codcidnfe = $l_a_cli[0][codcidnfe];
		$p_cidnfe = $l_a_cli[0][cidnfe];
        $p_stat = $l_a_cli[0][descricao];
        $codnfoperacao = $l_a_cli[0][codnfoperacao];
        $codIndicadorIE = $l_a_cli[0][codnfiedest];
        $p_fantasia = $l_a_cli[0][fantasia];
    } else {
        echo "<div id='msgerro'>$msg_nenhum_cliente_encontrado</div>";
    }


}


//busca dados do cliente de acordo com a os aberta
function BuscaCliOs($l_codos, &$p_razao){


    include 'conecta.inc.php';
    include '../idiomas/config.inc';

    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT c.razao as razao FROM OS O JOIN CLIENTES C ON O.CODCLI = C.CODCLI WHERE O.CODOS = $l_codos ";


    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select
        //passa o valor para as variaveis de referencia que ser� mostrado na pag de cadastro de clientes
        $p_razao = $l_a_cli[0][razao];


    } else {
        echo "<div id='msgerro'>$msg_nenhum_cliente_encontrado</div>";
    }

}



function ListaCliHistVnd($p_razao,$p_dtini,$p_dtfin, $p_loja){
    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';

    $p_veallcli = lecookie("veallcli");

    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT RAZAO as razao ,CODCLI, numcli FROM CLIENTES WHERE (1=1)";

    if ($p_razao) {
        $l_selectcli .= " and (upper(razao) like upper('%$p_razao%') ) ";
    }
    
    if ($p_loja) {
        $l_selectcli .= " and codloja = $p_loja ";
    }
    

    $a_reg = qry($con, $l_selectcli, $a_campos);
    $l_totcli = ibase_num_rows($a_reg); // PEGA O TOTAL DE CLIENTES ANTES DE APLICAR O ROWS


    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);
       

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            MostraCliHistVnd($l_a_cli[$i][razao], $l_a_cli[$i][codcli],$p_dtini,$p_dtfin);
        }
    }
    exit;



}


function JaExisteCli($p_cpcn){
    include 'conecta.inc.php';

    $p_cpcn = ereg_replace('[^0-9]', '', $p_cpcn) ;

    if (!$p_cpcn){
        return false;
    }
    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT CODCLI FROM CLIENTES WHERE (CASE 
WHEN ( ( FISJUR = 1 ) AND ( CPCN CONTAINING '.' OR CPCN CONTAINING '-' OR CPCN CONTAINING '/' ) ) THEN (substring(CPCN from 1 for 3) || substring(CPCN from 5 for 3) || substring(CPCN from 9 for 3) || substring(CPCN from 13 for 2)) 
WHEN ( ( FISJUR = 2 ) AND ( CPCN CONTAINING '.' OR CPCN CONTAINING '-' OR CPCN CONTAINING '/' ) ) THEN (substring(CPCN from 1 for 2) || substring(CPCN from 4 for 3) || substring(CPCN from 8 for 3) || substring(CPCN from 12 for 4) || substring(CPCN from 17 for 2)) 
ELSE CPCN
END) = '" . $p_cpcn . "'";


    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select

        return true;


    } else {
        return false;
    }



}






function CliTemVenda($p_CodCli){
    include 'conecta.inc.php';

    if (!$p_CodCli){
        return false;
    }
    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT CODCLI FROM OS WHERE CodCli = '" . $p_CodCli . "'";

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select

        return true;


    } else {
        return false;
    }



}









function ConsultaTransp($p_transp,$p_path){

    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';



    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT transportadora as transportadora ,codtra FROM transportadora WHERE (1=1)";

    if ($p_transp) {
        $l_selectcli .= " and (upper(transportadora) like upper('%$p_transp%') ) ";
    }

    $a_reg = qry($con, $l_selectcli, $a_campos);


    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            ListaTransp($l_a_cli[$i][transportadora], $l_a_cli[$i][codtra],$p_path);
        }

    }
}

function ListaClientesVisita($p_data) {

    include 'conecta.inc.php';

    $p_codusu = lecookie("codusu");

//MONTA O SELECT PRA TRAZER OS CLIENTES PARA VISITA
    $l_selectcli = "SELECT RAZAO as razao ,codcli, numcli, comrestricao

    FROM CLIENTES C


    WHERE (C.codDIAsemana = (EXTRACT(WEEKDAY FROM CAST('$p_data' AS DATE)) ))
     AND C.CODVND = (SELECT CODVND FROM SENHAS WHERE CODUSU = $p_codusu) 
        AND (NOT EXISTS(SELECT * FROM HISTCLI HC WHERE HC.CODCLI = C.CODCLI
               AND ( EXTRACT (YEAR FROM HC.DATA) = EXTRACT (YEAR FROM CAST('$p_data' AS DATE)) )
               AND ( EXTRACT (month FROM HC.DATA) = EXTRACT (MONTH FROM CAST('$p_data' AS DATE)) )
               AND ( EXTRACT (DAY FROM HC.DATA) = EXTRACT (DAY FROM CAST('$p_data' AS DATE)) )
              AND ( (EXTRACT (WEEKDAY FROM HC.DATA) ) = C.coddiasemana) ) )
              AND ( (coalesce(C.cadinativo,0) = 0) ) 

    order by RAZAO
	";
	
   
//echo $l_selectcli; //mostra o select - so para testes

    if (cria_matriz_campos_pelo_sql($l_selectcli, $clientes)) {
//se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0; $i <= (sizeof($clientes) - 1); $i++) {
            MostraClientesVisita($clientes[$i][razao], $clientes[$i][codcli], 2 ,$clientes[$i][comrestricao]);
        }
    }
}

function ListaClientesJaVisitados($p_data) {

    include 'conecta.inc.php';

    $p_codusu = lecookie("codusu");

//MONTA O SELECT PRA TRAZER OS CLIENTES PARA VISITA
    $l_selectcli = "SELECT RAZAO as razao ,codcli, numcli, comrestricao

    FROM CLIENTES C


    WHERE (C.codDIAsemana = (EXTRACT(WEEKDAY FROM CAST('$p_data' AS DATE)) ))
     AND C.CODVND = (SELECT CODVND FROM SENHAS WHERE CODUSU = $p_codusu) 
        AND (EXISTS(SELECT * FROM HISTCLI HC WHERE HC.CODCLI = C.CODCLI
               AND ( EXTRACT (YEAR FROM HC.DATA) = EXTRACT (YEAR FROM CAST('$p_data' AS DATE)) )
               AND ( EXTRACT (month FROM HC.DATA) = EXTRACT (MONTH FROM CAST('$p_data' AS DATE)) )
               AND ( EXTRACT (DAY FROM HC.DATA) = EXTRACT (DAY FROM CAST('$p_data' AS DATE)) )
              AND ( (EXTRACT (WEEKDAY FROM HC.DATA) ) = C.coddiasemana) ) )
              AND ( (coalesce(C.cadinativo,0) = 0) ) 

    order by RAZAO
	";
	
   
//echo $l_selectcli; //mostra o select - so para testes

    if (cria_matriz_campos_pelo_sql($l_selectcli, $clientes)) {
//se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0; $i <= (sizeof($clientes) - 1); $i++) {
            MostraClientesVisita($clientes[$i][razao], $clientes[$i][codcli], 2 ,$clientes[$i][comrestricao]);
        }
    }
}

function MostraTipoContatos($codtipocontato, $tipocontato) {

    echo "<p class='clivisita'>
              <a href='../php/histvisita_tpcontato.php?codtipocontato=$codtipocontato'>$tipocontato</a>
          </p>";
}

function ListaTipoContatos() {

    include 'conecta.inc.php';

    $l_selectcli = "SELECT codtipocontato, tipocontato from tipocontatos";
//echo $l_selectcli; //mostra o select - so para testes

    if (cria_matriz_campos_pelo_sql($l_selectcli, $clientes)) {
//se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0; $i <= (sizeof($clientes) - 1); $i++) {
            MostraTipoContatos($clientes[$i][codtipocontato], $clientes[$i][tipocontato]);
        }
    }
}

function MostraClientesVisita($razao, $codcli, $acao, $rest) {
    include '../idiomas/config.inc';
    $re = '';
    if ($rest == 'S') {
    $re = '<b>Com Restrição</b>';
    }

    if ($acao == 4) { //se nao encontrou o cliente
        $naoencontrado =  $msg_cliente_reagendado;
    }
    echo "<p class='clivisita'>
              <a href='../html/acaoclivisita.php?codcli=$codcli&razao=$razao&restri=$rest'>$razao $naoencontrado</a>&nbsp;<font color='red'>$re</font>
          </p>";
}

function BuscaComissao($p_CodCLI) {

// tenta pegar a comissao do cadastro do cliente
$Comissao = TrazValorCampo('Clientes', 'ComissaoVnd', 'CodCLI', $p_CodCLI);
// se n�o tinha pega do vendedor
if ($Comissao == '') {
    $CodVnd = TrazValorCampo('Clientes', 'CodVnd', 'CodCli', $p_CodCLI);
    $Comissao = TrazValorCampo('Vendedores', 'Comissao', 'CodVnd', $CodVnd);
}

if ($Comissao == ''){
   $Comissao = 0;
}
return  $Comissao;



}

function MostraLinktiposai($l_tsai,$l_cdtsai,$l_codcli,$l_razao, $com_restricao){
    echo "
                <p class='nomclient'>
                   <a id='cli' href='../php/pedidos.php?codcli=$l_codcli&razao=$l_razao&tiposai=$l_cdtsai&com_restricao=$com_restricao'>
                       $l_tsai</a>
                </p>";

}

function ListaTipoSai($l_codcli, $l_razao, $com_restricao){
    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';


    //MONTA O SELECT PRA TRAZER OS CLIENTES
        $l_selectcli = "SELECT CODTIPOSAI, TIPOSAIDA FROM TIPOSAIDAS WHERE (COALESCE(ISMOSTRAAFV,0) = 1)";

    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            MostraLinktiposai($l_a_cli[$i][tiposaida], $l_a_cli[$i][codtiposai], $l_codcli , $l_razao, $com_restricao);
        }
    } else {
        return false;
    }
    echo "<br />";
   
    return true;
}

function ListaCid($stat, $codstat, $uf, $p_path){

    echo "<p>
                    <a name='$stat - $uf' href='$p_path&naocarregacad=1&codcidnfe=$codstat&cidnfe=$stat'>$stat - $uf</a>
                 </p> ";

}

function ConsultaCid($p_stat,$p_path){

    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';



    //MONTA O SELECT PRA TRAZER OS CLIENTES
    if($p_stat){
        $l_selectcli = "SELECT cidade as cid ,codcid, upper(uf) as uf FROM CIDADESNFE WHERE (1=1) and (upper(cidade) containing upper('$p_stat') ) order by cid";    
    }else{
        $l_selectcli = "SELECT cidade as cid ,codcid, upper(uf) as uf FROM CIDADESNFE WHERE (1=1) order by cid";

    }

    

    $a_reg = qry($con, $l_selectcli, $a_campos);


   // echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            ListaCid($l_a_cli[$i][cid], $l_a_cli[$i][codcid], $l_a_cli[$i][uf],$p_path);
        }

    }
}
function ConsultaStat($p_stat,$p_path){

    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';



    //MONTA O SELECT PRA TRAZER OS CLIENTES
    $l_selectcli = "SELECT descricao as status ,codclistatus FROM clistatus WHERE (1=1)";

    if ($p_stat) {
        $l_selectcli .= " and (upper(descricao) like upper('%$p_stat%') ) ";
    }

    $a_reg = qry($con, $l_selectcli, $a_campos);


    //echo $l_selectcli; //mostra o select - so para testes

    //MONTA MATRIZ QUE VAI TRAZER OS CLIENTES
    //cria id do select
    $a_reg = qry($con, $l_selectcli, $a_campos);

    if (cria_matriz_campos($a_reg,$a_campos,$l_a_cli)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente

        for ($i = 0 ; $i<=(sizeof($l_a_cli) -1) ; $i++)	{
            ListaStat($l_a_cli[$i][status], $l_a_cli[$i][codclistatus],$p_path);
        }

    }

}

function ListaStat($stat, $codstat, $p_path){

    echo "<p>
                    <a name='$stat' href='$p_path&naocarregacad=1&codstat=$codstat&stat=$stat'>$stat</a>
                 </p> ";



}


function getValorDeParcelasEmAberto($codcli){

    include 'conecta.inc.php';
      
    $sql = "SELECT coalesce(SUM(p.valor),0) as valoremaberto
                FROM finan f
                JOIN parcelas p ON f.codfin = p.codfin

                WHERE f.codcli = $codcli
                    AND pago = 'N'
                    AND dtpagto is null
                    AND coalesce(p.cancelado,0) = 0";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $valorEmAberto)) {
        if(!isset($valorEmAberto[0]))
            return 0;

        return $valorEmAberto[0]["valoremaberto"];
    }
}

function getLimitCreditCliente($codcli){

    include 'conecta.inc.php';
      
    $sql = "SELECT limitecred, limitecredprazo FROM clientes WHERE codcli = $codcli";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $limits)) {
        if(!isset($limits[0]))
            return null;
        return $limits[0]["limitecred"];
    }
}

function getLimitCreditPrazoCliente($codcli){

    include 'conecta.inc.php';
      
    $sql = "SELECT limitecredprazo FROM clientes WHERE codcli = $codcli";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $limits)) {
        if(!isset($limits[0]))
            return null;
        return $limits[0]["limitecredprazo"];
    }
}



function getCodLojaClient($codcli){

    include 'conecta.inc.php';
      
    $sql = "SELECT codloja FROM clientes WHERE codcli = $codcli";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(!isset($r[0]))
            return null;
        return $r[0]["codloja"];
    }
}




function getClienteByCodCli($codcli) {
      
    $sql = "SELECT * FROM clientes WHERE codcli = $codcli ";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r) || !is_array($r) || is_null($r[0]))
            return null;

        $cliente = $r[0];
        $cliente["cidade"] = getCidadeNFe($cliente["codcidnfe"]);
        return $cliente;
    }
}

function getTransportadora($codtra) {
    $sql = "SELECT * FROM transportadora WHERE codtra = $codtra ";
    $result = qry($con, $sql, $a_campos);
    
    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r) || !is_array($r) || is_null($r[0]))
        return null;

        return $r[0];
    }
}

function getVeiculo($codvei) {
    if(is_null($codvei) || $codvei == '')
        return null;
    $sql = "SELECT v.*,m.modelo FROM veiculos v LEFT JOIN modelos m ON m.codmod = v.codmod";
    $result = qry($con, $sql, $a_campos);
    
    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r) || !is_array($r) || is_null($r[0]))
        return null;

        return $r[0];
    }
}

function getUFs() {
    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';
    include_once 'funcoes.inc';

    $select = "SELECT * FROM UF ORDER BY uf ";

    $query = qry($con, $select, $a_campos); //cria o id q recebe o select
    
    if (cria_matriz_campos($query, $a_campos, $result)) {
        ibase_close($con); //fecha a conexao
        return $result;
    }
}


function getCidadesNF($estado=false) {
    include '../auxiliar/parametros.inc';
    include 'conecta.inc.php';
    include_once 'funcoes.inc';

    $where = '';
    if($estado) {
        $where = "WHERE c.uf = '$estado'";
    }

    $select = "SELECT 
            c.*,
            coalesce(c.uf, 'XX') as uf
        FROM CIDADESNFe c
        $where
        ORDER BY c.uf, c.cidade
       ";


    $query = qry($con, $select, $a_campos); //cria o id q recebe o select
    
    if (cria_matriz_campos($query, $a_campos, $result)) {
        ibase_close($con); //fecha a conexao
        return $result;
    }
}



function getCidadeNFe($codcidnfe) {
    $sql = "SELECT * FROM cidadesnfe WHERE codcid = $codcidnfe";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r) || !is_array($r) || is_null($r[0]))
            return null;
        return $r[0];
    }
}

function getClientes($search) {
      
    $sql = "SELECT codcli, razao, fantasia FROM clientes WHERE ( upper(razao) like '%" . strtoupper($search) . "%' OR upper(fantasia) like '%" . strtoupper($search) . "%' ) ";
    $result = qry($con, $sql, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r))
            return array();
        return $r;
    }
    return array();
}



function getAllStatusCliente() {
      
    $select = "SELECT descricao , codclistatus as codstatus FROM clistatus order by descricao ";
    $result = qry($con, $select, $a_campos);

    if (cria_matriz_campos($result, $a_campos, $r)) {
        if(is_null($r))
            return array();
        return $r;
    }
    return array();
}

function getDadosCep($cep){
    include 'conecta.inc.php';
    include '../auxiliar/parametros.inc';

    $concep = ibase_connect($bancocep,$usuario,$senha,'') ;
  
    if( $concep ){
  
        $select = "select l.cep,  t.abrev_tipo  tipoendereco, l.nome_log  logradouro,
            c.nome_loc  cidade, c.codcid,   l.uf, b.nome  bairro
            from cep_log  l
            left join cep_bai b on b.cod_bai = l.cod_bai
            left join cep_tipo t on t.cod_tipo = l.cod_tipo
            left join cep_loc c on c.cod_loc = l.cod_loc
            where l.cep = '" . preg_replace('/[^0-9]/', '', $cep) . "'" ;
        

        //como a conexao nao eh no banco do sistema, faco manualmente sem usar a funcao qry()
        $result = ibase_query( $concep, $select );
        
        $ct=0;
        while(list($campo,$alias) = ibase_field_info($result,$ct)) {
            $a_campos[$ct] = $alias;
            $ct++;
        }

        if (cria_matriz_campos($result, $a_campos, $r)) {
            if(is_null($r)){
                return array();
            }else{
                return $r[0];
            }
        }

        ibase_close($con);
        
    }else{
        return array();
    }



}

?>
